B2SUM(1)

NOM
b2sum - Calculer et vérifier l'empreinte numérique BLAKE2

SYNOPSIS
b2sum [OPTION] ... [FICHIER] ...

DESCRIPTION

Afficher ou vérifier les sommes de contrôle BLAKE2 (512 bits).

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

-b, --binary
    lire en mode binaire

-c, --check
    lire les sommes de contrôle BLAKE2 des FICHIERs et les vérifier

-l, --length
    longueur de l'empreinte en bit ; elle ne doit pas dépasser le maximum pour l'algorithme blake2 et doit être un multiple de 8

--tag
    créer une somme de contrôle de type BSD

-t, --text
    lire en mode texte (par défaut)

-z, --zero
    terminer chaque ligne produite par un octet NULL final plutôt que par un changement de ligne et désactiver l'échappement des noms de fichier

  Les cinq options suivantes ne sont utiles que lors de la vérification des sommes de contrôle :

--ignore-missing
    ne pas échouer ou signaler l’état pour les fichiers manquants

--quiet
    ne pas afficher OK pour chaque fichier vérifié avec succès

--status
    ne rien afficher, le code d'état montre le succès

--strict
    quitter avec un code de retour différent de zéro en cas de formatage incorrect des lignes de sommes de contrôle

-w, --warn
    avertir lorsque les lignes de sommes de contrôle sont mal formatées

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

Les sommes sont calculées selon la méthode décrite dans la RFC 7693. Lors de la vérification, l'entrée doit être une sortie précédente du programme. Le mode par défaut affiche sur une ligne la somme de contrôle, une espace, un caractère indiquant le type d'entrée (« * » pour binaire, une espace pour du texte ou quand binaire n'a pas de sens) et le nom de chaque FICHIER.

Note : il n'y a pas de différences entre le mode binaire et le mode texte sur les systèmes GNU.

AUTEUR
Écrit par Padraig Brady et Samuel Neves.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/b2sum>
aussi disponible localement à l’aide de la commande : info '(coreutils) b2sum invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Guillaume Delacour <guillaume.delacour@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Jean-Marc Chaton <chaton@debian.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Franck Bassi <fblinux@wanadoo.fr>, Valéry Perrin <valery.perrin.debian@free.fr>, Guilhelm Panaget <guilhelm.panaget@free.fr>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Luc Froidefond <luc.froidefond@free.fr>, Steve Petruzzello <dlist@bluewin.ch>, Julien Rosal <albator.deb@gmail.com>, Grégory Colpart <reg@evolix.fr>, Cédric Lucantis <omer@no-log.org>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.